% Normalization by subtraction.
% Input should be a log magnitude spectrum 

function spectraN = normalize_mod(spectra)

% Modified version to calculate only a single mean instead of a sliding
% window

%N = length( spectra(1, :)  ); % number of samples in each DFT
Nspectra = length( spectra(:, 1)  ); % number of spectra 
specmean = mean(spectra,1);
spectraN = zeros(size(spectra));       % Initialization

for i= 1: Nspectra
  spectraN(i,:) = spectra(i,:) - specmean;
end

