% Normalization by subtraction.
% Input should be a log magnitude spectrum 
function spectraN = normalize(spectra, leftWing, rightWing)

N = length( spectra(1, :)  ); % number of samples in each DFT
Nspectra = length( spectra(:, 1)  ); % number of spectra 

if (Nspectra < leftWing + 1 + rightWing)
   error('Not enough input data to estimate mean.');
end

for i=leftWing+1:Nspectra-rightWing
  window = spectra(i-leftWing:i+rightWing, :); 
  specmean(i,:) = mean(window);    
end

% for beginning and end of signal, use first available mean
for i=1:leftWing
  spectraN(i,:) = spectra(i,:) - specmean(leftWing+1,:);
end
for i=Nspectra-rightWing+1:Nspectra
  spectraN(i,:) = spectra(i,:) - specmean(Nspectra-rightWing,:);
end

% otherwise use mean that was calculated centered on the frame we 
% are normalizing
for i=leftWing+1:Nspectra-rightWing
  spectraN(i,:) = spectra(i,:) - specmean(i,:);
end

